Bug 1006270 - [abrt] liveusb-creator-3.11.8-3.fc19: creator.py:362:get_liveos:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
[abrt] liveusb-creator-3.11.8-3.fc19: creator.py:362:get_liveos:TypeError: un...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
abrt_hash:49c5e5fbf684389a4e28be65502...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 07:03 EDT by Jan Sedlák
Modified: 2016-09-19 22:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: liveusb-creator-3.13.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-06 05:15:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (691 bytes, text/plain)
2013-09-10 07:04 EDT, Jan Sedlák
no flags Details
File: environ (275 bytes, text/plain)
2013-09-10 07:04 EDT, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2013-09-10 07:03:56 EDT
Version-Release number of selected component:
liveusb-creator-3.11.8-3.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -tt /usr/sbin/liveusb-creator
executable:     /usr/sbin/liveusb-creator
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
creator.py:362:get_liveos:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 533, in begin
    if self.live.existing_liveos():
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 359, in existing_liveos
    return os.path.exists(self.get_liveos())
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 362, in get_liveos
    return os.path.join(self.dest + os.path.sep, "LiveOS")
TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'

Local variables in innermost frame:
self: <liveusb.creator.LinuxLiveUSBCreator object at 0x1bb4710>

Potential duplicate: bug 965973
Comment 1 Jan Sedlák 2013-09-10 07:04:01 EDT
Created attachment 795949 [details]
File: backtrace
Comment 2 Jan Sedlák 2013-09-10 07:04:04 EDT
Created attachment 795950 [details]
File: environ
Comment 3 Fedora Update System 2014-11-27 03:13:01 EST
liveusb-creator-3.13.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.1-1.el7
Comment 4 Fedora Update System 2014-11-27 03:13:37 EST
liveusb-creator-3.13.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.1-1.el6
Comment 5 Fedora Update System 2014-11-27 03:14:10 EST
liveusb-creator-3.13.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.1-1.fc19
Comment 6 Fedora Update System 2014-11-27 03:14:43 EST
liveusb-creator-3.13.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.1-1.fc21
Comment 7 Fedora Update System 2014-11-27 03:15:14 EST
liveusb-creator-3.13.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.1-1.fc20
Comment 8 Fedora Update System 2014-11-27 14:27:09 EST
Package liveusb-creator-3.13.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liveusb-creator-3.13.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15869/liveusb-creator-3.13.1-1.fc21
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-12-06 05:15:56 EST
liveusb-creator-3.13.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-12-12 18:17:12 EST
liveusb-creator-3.13.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.el6
Comment 11 Fedora Update System 2014-12-12 18:17:49 EST
liveusb-creator-3.13.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.fc20
Comment 12 Fedora Update System 2014-12-12 18:18:21 EST
liveusb-creator-3.13.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.fc19
Comment 13 Fedora Update System 2014-12-12 18:18:53 EST
liveusb-creator-3.13.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.fc21
Comment 14 Fedora Update System 2015-01-02 19:13:47 EST
liveusb-creator-3.13.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-01-03 13:57:18 EST
liveusb-creator-3.13.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-01-03 14:04:56 EST
liveusb-creator-3.13.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-01-03 14:09:58 EST
liveusb-creator-3.13.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.